<?php  
	include "conexion.php";
	include "insertar_log.php";
	$id_aplicacion = "0";
	
	$id_bomba = $_POST['id_bomba'];
	//$id_bomba =1;

	$datos = " Ingresa a obtener_transacciones_copia desde la bomba= ".$id_bomba;	
	insertarLog($datos,$id_aplicacion);
	
	$sql = "select distinct ";
	$sql .= "id_transaccion,";
	$sql .= "fecha,";
	$sql .= "monto,";
	$sql .= "tipo ";
	$sql .= "from ";
	$sql .= "(";
	$sql .= "(";
	$sql .= "select ";
	$sql .= "t.id_transaccion,";
	$sql .= "t.fecha,";
	$sql .= "abs(t.monto) monto,";
	$sql .= "'L' tipo ";
	$sql .= "from ";
	$sql .= "transacciones_detalle td ";
	$sql .= "left join transacciones t on (t.id_transaccion=td.id_transaccion) ";
	$sql .= "where ";
	$sql .= "td.id_bomba=".$id_bomba." and ";
	$sql .= "t.estatus=1 and ";
	$sql .= "ifnull(t.impreso,0)>0 ";
	$sql .= "order by id_transaccion ";
	$sql .= "desc limit 10 ";
	$sql .= ") ";
	$sql .= "union ";
	$sql .= "(";
	$sql .= "select ";
	$sql .= "t.id_transaccion,";
	$sql .= "t.fecha_registro,";
	$sql .= "abs(t.monto) monto,";
	$sql .= "'R' tipo ";
	$sql .= "from ";
	$sql .= "transacciones_remotas_detalle td ";
	$sql .= "left join transacciones_remotas t on (t.id_transaccion=td.id_transaccion) ";
	$sql .= "where ";
	$sql .= "td.id_bomba=".$id_bomba." and ";
	$sql .= "t.estado=1 and ";
	$sql .= "ifnull(t.impreso,0)>0 ";
	$sql .= "order by id_transaccion desc limit 10 ";
	$sql .= ")";
	$sql .= ") ";
	$sql .= "registros ";
	$sql .= "order by fecha desc limit 10";
	
	$sentencia = $conexion->prepare($sql);
	
	$sentencia->execute();

	$resultado = $sentencia->get_result();
	$cont=0;
	$array =   array();
	while($fila = $resultado->fetch_assoc())
	{
		$transaccion['registro']=$cont+1;
		$transaccion['id_transaccion']=$fila['id_transaccion'];
		$transaccion['fecha']=$fila['fecha'];
		$transaccion['monto']=$fila['monto'];
		$transaccion['tipo']=$fila['tipo'];
		$array[$cont] = $transaccion;
		$cont++;
	}

	
	$sentencia->close();

	$conexion->close();

	$datos = " Termina proceso obtener_transacciones_copia ";	
	insertarLog($datos,$id_aplicacion);
	
	echo response(0,"OK",$array);


	function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}

?>